# class InternalFunctionImp | Abstract base class for internal functions. More...
Full name | `KJS::InternalFunctionImp`
Definition | `#include <function.h>`
Inherits | KJS::FunctionImp [public ]
Inherited by | ConstructorImp
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- InternalFunctionImp ()
- InternalFunctionImp (int l)
- InternalFunctionImp (const UString &n)
- virtual ~InternalFunctionImp ()
- virtual const TypeInfo* typeInfo () const
- virtual Completion execute (const List &)
- virtual CodeType codeType () const

#### Public Members

- static const TypeInfo info

## Detailed Description

InternalFunctionImp () | ### InternalFunctionImp

InternalFunctionImp (int l) | ### InternalFunctionImp

InternalFunctionImp (const UString &n) | ### InternalFunctionImp

~InternalFunctionImp () | ### ~InternalFunctionImp

[virtual]

const TypeInfo* typeInfo () | ### typeInfo

[const virtual]

Reimplemented from FunctionImp.

static const TypeInfo info | ### info

Completion execute (const List &) | ### execute

[virtual]

Reimplemented from FunctionImp.

CodeType codeType () | ### codeType

[const virtual]

Reimplemented from FunctionImp.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:56 2001, using kdoc 2.0a53.